String Class Reference

Generic string class that contains string related utility methods. More...

`#include <GenString.h>`

Collaboration diagram for String:

## Static Public Member Functions

static void | LowerCase (const std::string &inString, std::string &outString)
static void | LowerCase (std::string &inOutString)
static void | UpperCase (const std::string &inString, std::string &outString)
static void | UpperCase (std::string &inOutString)
static void | RemoveWhiteSpace (const std::string &inString, std::string &outString)
static std::string | IntToString (int inInteger)
static std::string | DoubleToString (double inDouble)
static int | StringToInt (const std::string &inString)
static double | StringToDouble (const std::string &inString)
static bool | IsScientific (const std::string &number)
static void | ToFixedFormat (std::string &fixedFormat, const std::string &number)
static bool | StringToBoolean (const std::string &inString)
static bool | IsNumber (const std::string &inString)
static bool | IsCiEqual (const std::string &firstString, const std::string &secondString)
static bool | IsEqual (const std::string &firstString, const std::string &secondString, const Char::eCompareType compareType)
static void | StripLeadingWs (std::string &resString)
static void | StripTrailingWs (std::string &resString)
static void | StripAndCompressWs (std::string &resString)
static void | rcsb_clean_string (std::string &theString)
static void | UnEscape (std::string &outStr, const std::string &inStr)
static void | Replace (std::string &resString, const std::string &fromStr, const std::string &toStr)

## Detailed Description

Generic string class that contains string related utility methods.

This class is a static class that contains generic string related utility methods, such as: converting string to uppercase/lowercase, removing whitespaces, converting strings to/from integers/real numbers, determining if string a number, determining whether strings are equal, escaping and unescaping.

## Member Function Documentation

## DoubleToString()

std::string String::DoubleToString | ( | double | inDouble | ) |

static

## IntToString()

std::string String::IntToString | ( | int | inInteger | ) |

static

## IsCiEqual()

bool String::IsCiEqual | ( | const std::string & | firstString,
|  | const std::string & | secondString )

static

## IsEqual()

bool String::IsEqual | ( | const std::string & | firstString,
|  | const std::string & | secondString,
|  | const Char::eCompareType | compareType )

static

## IsNumber()

bool String::IsNumber | ( | const std::string & | inString | ) |

static

## IsScientific()

bool String::IsScientific | ( | const std::string & | number | ) |

static

## LowerCase() [1/2]

void String::LowerCase | ( | const std::string & | inString,
|  | std::string & | outString )

static

## LowerCase() [2/2]

void String::LowerCase | ( | std::string & | inOutString | ) |

static

## rcsb_clean_string()

void String::rcsb_clean_string | ( | std::string & | theString | ) |

static

## RemoveWhiteSpace()

void String::RemoveWhiteSpace | ( | const std::string & | inString,
|  | std::string & | outString )

static

## Replace()

void String::Replace | ( | std::string & | resString,
|  | const std::string & | fromStr,
|  | const std::string & | toStr )

static

## StringToBoolean()

bool String::StringToBoolean | ( | const std::string & | inString | ) |

static

## StringToDouble()

double String::StringToDouble | ( | const std::string & | inString | ) |

static

## StringToInt()

int String::StringToInt | ( | const std::string & | inString | ) |

static

## StripAndCompressWs()

void String::StripAndCompressWs | ( | std::string & | resString | ) |

static

## StripLeadingWs()

void String::StripLeadingWs | ( | std::string & | resString | ) |

static

## StripTrailingWs()

void String::StripTrailingWs | ( | std::string & | resString | ) |

static

## ToFixedFormat()

void String::ToFixedFormat | ( | std::string & | fixedFormat,
|  | const std::string & | number )

static

## UnEscape()

void String::UnEscape | ( | std::string & | outStr,
|  | const std::string & | inStr )

static

## UpperCase() [1/2]

void String::UpperCase | ( | const std::string & | inString,
|  | std::string & | outString )

static

## UpperCase() [2/2]

void String::UpperCase | ( | std::string & | inOutString | ) |

static

The documentation for this class was generated from the following file:

- rcsb/GenString.h